CodeText::Xresources(3)

NAME
Tk::CodeText::Xresources - a Plugin for xresources files syntax highlighting

SYNOPSIS
 require Tk::CodeText::Xresources;
 my $sh = new Tk::CodeText::Xresources([
    ['Comment', -foreground => 'lightblue'],
    ['Path', -foreground => 'brown'],
    ['Command', -foreground => 'blue'],
    ['Separator', -foreground => 'darkblue'],
    ['Value', -foreground => 'orange'],
    ['False', -foreground => 'red'],
 ]);

DESCRIPTION
Tk::CodeText::Xresources is a plugin module that provides syntax highlighting for xresources files to a Tk::CodeText text widget.

It inherits Tk::CodeText::Template. See also there.

METHODS

highlight($string);
    returns a list of string snippets and tags that can be inserted in a Tk::Text like widget instantly.

AUTHOR
Hans Jeuken (haje@toneel.demon.nl)

BUGS
Unknown